Subject: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 Aug 2020 15:58:13 +0200

João Távora <[email-masked]> writes:

> ...unless that code is used in another non emacs-master context. I 
> seem to recall that having happened with Gnus once.  Let's hope
> it's not the case of CEDET, in which case the solution is to shoosh
> the byte-compiler in that particular spot.

CEDET is mostly in-tree these days.

> This is odd because I did get a line from Eli to fix some compilation 
> after my changes, and these were not among them.  I wonder if this file
> is always byte-compiled.

It is, but perhaps Eli didn't do a "make bootstrap" to get all the
warnings.  (The CEDET files don't change that much these days, so
they're rarely re-compiled.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no